<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="pt"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>JavalinApp.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">demo</a> &gt; <a href="index.source.html" class="el_package">main.util</a> &gt; <span class="el_source">JavalinApp.java</span></div><h1>JavalinApp.java</h1><pre class="source lang-java linenums">package main.util;

import static io.javalin.apibuilder.ApiBuilder.*;

import bicicleta.BicicletaController;
import totem.TotemController;
import tranca.TrancaController;
import io.javalin.Javalin;

<span class="nc" id="L10">public class JavalinApp </span>
{
<span class="nc" id="L12">	private Javalin app =</span>
			Javalin.create
<span class="nc" id="L14">			(</span>
<span class="nc" id="L15">				config -&gt; config.defaultContentType = &quot;application/json&quot;)</span>
            		.routes
<span class="nc" id="L17">            		(() -&gt; </span>
	            		{
<span class="nc" id="L19">	            			path(&quot;/bicicleta&quot;,  ()-&gt; get(BicicletaController::recuperaBicicletas));</span>
	            			
<span class="nc" id="L21">	            			path(&quot;/bicicleta&quot;,  ()-&gt; post(BicicletaController::cadastraBicicleta));</span>
	            			
<span class="nc" id="L23">	            			path(&quot;/bicicleta/integrarNaRede&quot;,  () -&gt; post(BicicletaController::integrarNaRede));</span>

<span class="nc" id="L25">	            			path(&quot;/bicicleta/retirarDaRede&quot;, ()-&gt; post(BicicletaController::retirarDaRede));</span>
	            			
<span class="nc" id="L27">	            			path(&quot;/bicicleta/:idBicicleta&quot;, ()-&gt; get(BicicletaController::getBicicleta));</span>
	            			
<span class="nc" id="L29">	            			path(&quot;/bicicleta/:idBicicleta&quot;, ()-&gt; put(BicicletaController::putBicicleta));</span>
	            			
<span class="nc" id="L31">	            			path(&quot;/bicicleta/:idBicicleta&quot;, ()-&gt; delete(BicicletaController::deleteBicicleta));</span>
	            			
<span class="nc" id="L33">	            			path(&quot;/bicicleta/:id/status/:acao&quot;, ()-&gt; post(BicicletaController::alteraStatus));</span>
	            			
<span class="nc" id="L35">	            			path(&quot;/totem&quot;,  ()-&gt; get(TotemController::recuperaTotens));</span>
	            			
<span class="nc" id="L37">	            			path(&quot;/totem&quot;,  ()-&gt; post(TotemController::cadastraTotem));</span>
	            			
<span class="nc" id="L39">	            			path(&quot;/tranca/integrarNaRede&quot;,  () -&gt; post(TrancaController::integrarNaRede));</span>

<span class="nc" id="L41">	            			path(&quot;/tranca/retirarDaRede&quot;, ()-&gt; post(TrancaController::retirarDaRede));</span>
	            			
<span class="nc" id="L43">	            			path(&quot;/totem/:idTotem&quot;, ()-&gt; put(TotemController::putTotem));</span>
	            			
<span class="nc" id="L45">	            			path(&quot;/totem/:idTotem&quot;, ()-&gt; delete(TotemController::deleteTotem));</span>
	            			
<span class="nc" id="L47">	            			path(&quot;/totem/:idTotem/trancas&quot;, ()-&gt; get(TotemController::getTrancasTotem));</span>
	            			
<span class="nc" id="L49">	            			path(&quot;/totem/:idTotem/bicicletas&quot;, ()-&gt; get(TotemController::getBicicletasTotem));</span>
	            			
<span class="nc" id="L51">	            			path(&quot;/tranca&quot;,  ()-&gt; get(TrancaController::recuperaTrancas));</span>
	            			
<span class="nc" id="L53">	            			path(&quot;/tranca&quot;,  ()-&gt; post(TrancaController::cadastraTranca));</span>
	            			
<span class="nc" id="L55">	            			path(&quot;/tranca/:idTranca&quot;,  ()-&gt; get(TrancaController::getTranca));</span>
	            			
<span class="nc" id="L57">	            			path(&quot;/tranca/:idTranca&quot;,  ()-&gt; put(TrancaController::putTranca));</span>
	            			
<span class="nc" id="L59">	            			path(&quot;/tranca/:idTranca&quot;,  ()-&gt; delete(TrancaController::deleteTranca));</span>
	            			
<span class="nc" id="L61">	            			path(&quot;/tranca/:idTranca/bicicleta&quot;,  ()-&gt; get(TrancaController::getBicicletaTranca));</span>
	            			
<span class="nc" id="L63">	            			path(&quot;/tranca/:idTranca/status/:acao&quot;,  ()-&gt; post(TrancaController::alteraStatus));</span>
	            		
<span class="nc" id="L65">	            		}</span>
            		);
	
	public void start(int port) 
	{
<span class="nc" id="L70">        this.app.start(port);</span>
<span class="nc" id="L71">    }</span>

    public void stop() 
    {
<span class="nc" id="L75">        this.app.stop();</span>
<span class="nc" id="L76">    }</span>
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.7.202105040129</span></div></body></html>